# -*- coding: utf-8 -*-
"""
@author: Jean-Bernard Hayet
"""

# Importar librerías
import sys
sys.path.insert(0, "/home/jbhayet/opt/NAO/V-REP_PRO_EDU_V3_6_2_Ubuntu18_04/programming/remoteApiBindings/python/python")
from vrep import *         # V-rep library
import time                # Used to keep track of time
import numpy as np         # Array library
import math
import matplotlib.pyplot as plt
import matplotlib.animation as animation

# Valor de pi
PI=math.pi

####### AQUÍ EMPIEZA TODO!

# Eso es para cerrar conexiones pasadas
simxFinish(-1)
# Eso se conecta al robot, con una dirección IP dada.
clientID = simxStart('127.0.0.1',19997,True,True,5000,5)
# Verificamos si estamos bien conectados
if clientID!=-1:
    print('[*] Connected to remote API server')
else:
    print('[!] Connection not successful')
    sys.exit('Could not connect')

__,robot_handle=simxGetObjectHandle(clientID,'Pioneer_p3dx#0',simx_opmode_oneshot_wait)
# Recuperamos una conexión al motor de izquierda
__,left_motor_handle=simxGetObjectHandle(clientID,'Pioneer_p3dx_leftMotor#0',simx_opmode_oneshot_wait)
# Recuperamos una conexión al motor de derecha
__,right_motor_handle=simxGetObjectHandle(clientID,'Pioneer_p3dx_rightMotor#0',simx_opmode_oneshot_wait)

t = time.time()

goal=[0,0,0]
# Este es el ciclo durante el cual se produce el experimento
while (time.time()-t)<60:
    print('[*] Tiempo: ',time.time())
    pos = simxGetObjectPosition(clientID,robot_handle,-1, simx_opmode_streaming)[1]
    ori = simxGetObjectOrientation(clientID,robot_handle,-1, simx_opmode_streaming)[1]

    # Que velocidad pedirle al robot para ir al goal?
    vl=0
    vr=0
    # Pedimos a traves de nuestras conexiones que se ejecute estas
    # velocidades
    errorCode=simxSetJointTargetVelocity(clientID,left_motor_handle,vl, simx_opmode_streaming)
    errorCode=simxSetJointTargetVelocity(clientID,right_motor_handle,vr, simx_opmode_streaming)


    time.sleep(0.2) #loop executes once every 0.2 seconds (= 5 Hz)

#Post ALlocation
errorCode=simxSetJointTargetVelocity(clientID,left_motor_handle,0,simx_opmode_streaming)
errorCode=simxSetJointTargetVelocity(clientID,right_motor_handle,0,simx_opmode_streaming)
